Skip to content

Get up to 100 named traders’ realized or unrealized PNL and their rank on the PNL leaderboard

GET
/markets-v2/pnl-standings
curl --request GET \
--url 'https://api.ethos.network/api/v2/markets-v2/pnl-standings?metric=realized&userkeys=example&window=1d'
metric
string
default: realized
Allowed values: realized unrealized
userkeys
required
Any of:
string
window
string
default: 1d
Allowed values: 1d 1w 1m all

Successful response

Media typeapplication/json
object
metric
required
string
Allowed values: realized unrealized
values
required
Array<object>
object
direction
required
Any of:
string
Allowed values: winners losers
pnl
required
integer format: int64
pnlPercent
required
number
rank
required
Any of:
integer
> 0 <= 9007199254740991
tradesCount
required

The trades behind pnl, counted as pnl-leaderboard counts them. Realized: every in-window trade of a trader who sold in the window, and 0 for one who only bought. Unrealized: the trades composing the open positions opened in the window

integer
<= 9007199254740991
userkey
required
string

Example

{
"metric": "realized",
"values": [
{
"direction": "winners"
}
]
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}